lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "etalon/version"

Gem::Specification.new do |spec|
  spec.name          = "etalon"
  spec.version       = Etalon::VERSION
  spec.licenses      = ["MIT"]
  spec.authors       = ["Olivier Lacan"]
  spec.email         = ["hi@olivierlacan.com"]

  spec.summary       = "A very simple tool to instrument Ruby code"
  spec.description   = '
    A very simple tool to instrument Ruby code and output basic metrics to a
    logger or store them in a hash.
  '.split.join(" ")
  spec.homepage = "https://github.com/olivierlacan/etalon"

  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = spec.homepage
    spec.metadata["changelog_uri"] = "#{spec.homepage}/blob/master/CHANGELOG.md"
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path("..", __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.metadata["yard.run"] = "yri"

  spec.add_dependency "activesupport", ">= 5.2"

  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "bundler", "~> 2.2"
  spec.add_development_dependency "rspec", "~> 3.8"
  spec.add_development_dependency "yard", "~> 0.9"
  spec.add_development_dependency "standard", "~> 1.1"
end
